# seznam informací o všech filmech
# ~ zatím prázdný, ještě jsme žádná data nenačetli
filmy = []

# načtení dat o filmech z CSV-souboru
with open('filmy_2_hlavicka.csv', mode='tr', encoding='utf-8') as soubor:
    # hlavička
    hlavička = next(soubor)
    # zpracuj textový soubor řádku po řádce (ale už bez hlavičkové řádky)
    for řádka in soubor:
        # odstraníme odřádkování na konci načtené řádky
        řádka = řádka.strip()
        # rozdělíme data v řádce na jednotlivé sloupečky
        # ~ pětiprvkový seznam rozbalíme na pět proměnných
        pořadí, název, rok, režisér, tržby = řádka.split(';')
        # přidání informací o aktuálním filmu do seznamu
        filmy.append(
            # pět samostatných proměnných (typu řetězec)
            pořadí, název, rok, režisér, tržby
        )

# výpis seznamu informací o všech fimech
print(filmy)

'''
TypeError: list.append() takes exactly one argument (5 given)
'''
