# seznam informací o všech filmech
# ~ zatím prázdný, ještě jsme žádná data nenačetli
filmy = []

# načtení dat o filmech z CSV-souboru
with open('filmy_2_hlavicka.csv', mode='tr', encoding='utf-8') as soubor:
    # hlavička
    hlavička = next(soubor)
    # zpracuj textový soubor řádku po řádce (ale už bez hlavičkové řádky)
    for řádka in soubor:
        # odstraníme odřádkování na konci načtené řádky
        řádka = řádka.strip()
        # rozdělíme data v řádce na jednotlivé sloupečky
        # ~ pětiprvkový seznam rozbalíme na pět proměnných
        pořadí, název, rok, režisér, tržby = řádka.split(';')
        # přidání informací o aktuálním filmu do seznamu
        filmy.append(
            # jedna čtyřprvková n-tice
            (název, rok, režisér, tržby)
        )

# výpis seznamu informací o všech fimech
for film in filmy:
    print(film)

'''
("Philosopher's Stone", '2001', 'Chris Columbus', '$1,006,968,171')
('Chamber of Secrets', '2002', 'Chris Columbus', '$879,602,366')
('Prisoner of Azkaban', '2004', 'Alfonso Cuarón', '$797,361,618')
('Goblet of Fire', '2005', 'Mike Newell', '$896,678,241')
('Order of the Phoenix', '2007', 'David Yates', '$942,172,396')
('Half-Blood Prince', '2009', 'David Yates', '$934,454,096')
('Deathly Hallows – Part 1', '2010', 'David Yates', '$977,043,483')
('Deathly Hallows – Part 2', '2011', 'David Yates', '$1,342,321,665')
'''
